Package org.eclipse.rdf4j.spring.pool

## Class PoolProperties

- java.lang.Object
- - org.eclipse.rdf4j.spring.pool.PoolProperties

-     @ConfigurationProperties(prefix="rdf4j.spring.pool")
      public class PoolProperties
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PoolProperties()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxConnections()` |
    `int` | `getMinIdleConnections()` |
    `Duration` | `getTimeBetweenEvictionRuns()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isTestWhileIdle()` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setMaxConnections​(int maxConnections)` |
    `void` | `setMinIdleConnections​(int minIdleConnections)` |
    `void` | `setTestWhileIdle​(boolean testWhileIdle)` |
    `void` | `setTimeBetweenEvictionRuns​(Duration timeBetweenEvictionRuns)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolProperties

          public PoolProperties()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getMaxConnections

          public int getMaxConnections()

    - #### setMaxConnections

          public void setMaxConnections​(int maxConnections)

    - #### getMinIdleConnections

          public int getMinIdleConnections()

    - #### setMinIdleConnections

          public void setMinIdleConnections​(int minIdleConnections)

    - #### getTimeBetweenEvictionRuns

          public Duration getTimeBetweenEvictionRuns()

    - #### setTimeBetweenEvictionRuns

          public void setTimeBetweenEvictionRuns​(Duration timeBetweenEvictionRuns)

    - #### isTestWhileIdle

          public boolean isTestWhileIdle()

    - #### setTestWhileIdle

          public void setTestWhileIdle​(boolean testWhileIdle)